aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/opie-kpacman/opie-kpacman.inc
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/opie-kpacman/opie-kpacman.inc
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/opie-kpacman/opie-kpacman.inc')
-rw-r--r--recipes/opie-kpacman/opie-kpacman.inc33
1 files changed, 33 insertions, 0 deletions
diff --git a/recipes/opie-kpacman/opie-kpacman.inc b/recipes/opie-kpacman/opie-kpacman.inc
new file mode 100644
index 0000000000..7ee37ffb17
--- /dev/null
+++ b/recipes/opie-kpacman/opie-kpacman.inc
@@ -0,0 +1,33 @@
+DESCRIPTION = "Kpacman, the classical arcade game of Pacman"
+SECTION = "opie/games"
+PRIORITY = "optional"
+LICENSE = "GPL"
+APPNAME = "kpacman"
+
+
+S = "${WORKDIR}/${APPNAME}"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+
+if [ ! -f $HOME/Settings/kpacman.conf ]
+ exit 0
+then
+ cp /opt/QtPalmtop/share/kpacman/kpacman.conf $HOME/Settings/
+fi
+}
+
+# FILES bin/kpacman apps/Games/kpacman.desktop pics/kpacman/kpacman.png share/kpacman
+do_install() {
+ install -d ${D}${palmtopdir}/pics/${APPNAME}/
+ install -m 0644 ${WORKDIR}/pics/${APPNAME}/*.png ${D}${palmtopdir}/pics/${APPNAME}/
+ install -d ${D}${palmtopdir}/share/${APPNAME}/fonts
+ install -d ${D}${palmtopdir}/share/${APPNAME}/pics
+ install -m 0644 ${WORKDIR}/share/${APPNAME}/*.conf ${D}${palmtopdir}/share/${APPNAME}/
+ install -m 0644 ${WORKDIR}/share/${APPNAME}/fonts/*.xbm ${D}${palmtopdir}/share/${APPNAME}/fonts/
+ install -m 0644 ${WORKDIR}/share/${APPNAME}/pics/*.xpm ${D}${palmtopdir}/share/${APPNAME}/pics/
+}
+